Skip to main content
POST
/
v1
/
deposit-customers
/
api-key
Create a Customer for a Deposit
curl --request POST \
  --url https://api.hel.io/v1/deposit-customers/api-key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>",
  "depositId": "<string>",
  "recipientPublicKeys": [
    "<string>"
  ],
  "defaultOnrampAmount": 123,
  "customerEmail": "<string>",
  "additionalJSON": "<string>"
}
'
{
  "id": "68f8c78f600865f76e7cc866",
  "deposit": "68f25d8ebe91855f9fad444b",
  "token": "ba065c1b-9134-4a68-9bfc-104e5c1c7631",
  "customerId": "customerId",
  "recipientPublicKeys": [
    "7YancRyN3yp9s6G7YNwx9H93UqswoKFqF9GuNJPufyvW"
  ],
  "defaultOnrampAmount": 30,
  "disabled": false,
  "depositWallets": [
    {
      "id": "6985e16c78f93907a64eb29d",
      "publicKey": "0x13d89374C9C2F8EdB747EE2f1D1675b05dB061eD",
      "blockchainEngine": {
        "id": "63b6b1200cfb4b3f6131f2b2",
        "type": "EVM"
      },
      "createdAt": "2026-02-06T12:41:16.191Z",
      "updatedAt": "2026-02-10T13:03:09.672Z"
    },
    {
      "id": "6987a95cd68cfcabec137e41",
      "publicKey": "bc1qm8xf2he4eze2g940hpnjwsamk2889mnn20mqz6",
      "blockchainEngine": {
        "id": "63da34127a40a721a6e0a21d",
        "type": "BTC"
      },
      "createdAt": "2026-02-07T21:06:36.965Z",
      "updatedAt": "2026-02-10T13:03:09.635Z"
    },
    {
      "id": "6987afc15f2ed144a41ac8a3",
      "publicKey": "HJiZM17UozKV6JwrysPkZ2TMxLvpeamqJKCxKEzRqXD6",
      "blockchainEngine": {
        "id": "63b6b1200cfb4b3f6131f2b4",
        "type": "SOL"
      },
      "createdAt": "2026-02-07T21:33:53.427Z",
      "updatedAt": "2026-02-10T13:03:09.599Z"
    },
    {
      "id": "6987ead22a792df6401ab268",
      "publicKey": "TAHgWAwvoY66pmpevaNzAEq1gh7feTKqVT",
      "blockchainEngine": {
        "id": "69807675403cca2d3e5582e1",
        "type": "TRON"
      },
      "createdAt": "2026-02-08T01:45:54.761Z",
      "updatedAt": "2026-02-10T13:03:09.709Z"
    }
  ]
}
Note: When using the production environment at moonpay.hel.io, set your API endpoint to api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.

Authorizations

Authorization
string
header
required

Authentication using JWT token

Query Parameters

apiKey
string
required

Your API key can be generated on the Helio Dashboard’s settings page.

Body

application/json
customerId
string
required

Merchant-defined unique identifier used to reference the customer in the merchant’s system.

depositId
string
required

Identifier of the deposit.

recipientPublicKeys
string[]
required

List of recipient public keys.

Required array length: 1 element
defaultOnrampAmount
integer

The default on-ramp amount to prefill for the customer.

customerEmail
string

Prefills the email field in the MoonPay on-ramp widget for the customer.

additionalJSON
string

Optional JSON string containing metadata.

Response

The deposit customer was created successfully

customerId
string
required

Merchant-defined unique identifier used to reference the customer in the merchant’s system.

depositId
string
required

Identifier of the deposit.

recipientPublicKeys
string[]
required

List of recipient public keys.

Required array length: 1 element
defaultOnrampAmount
integer

The default on-ramp amount to prefill for the customer.

customerEmail
string

Prefills the email field in the MoonPay on-ramp widget for the customer.

additionalJSON
string

Optional JSON string containing metadata.